import { ItemView, WorkspaceLeaf } from "obsidian";

export const VIEW_TYPE_HEATMAP = "heatmap-view";

export class HeatmapView extends ItemView {
  constructor(leaf: WorkspaceLeaf) {
    super(leaf);
    this.icon = "calendar-range";
  }

  getViewType() {
    return VIEW_TYPE_HEATMAP;
  }

  getDisplayText() {
    return "Word heatmap";
  }

  async onOpen() {
    const container = this.containerEl.children[1];
    container.empty();
    container.createEl("h4", { text: this.getDisplayText() });
  }

  async onClose() {
    // Nothing to clean up.
  }
}